#-----------------------------------------------------------------------
# File    : mlpd.mak
# Contents: build multilayer perceptron training visualization
# Author  : Christian Borgelt
# History : 2003.01.28 file created
#           2006.07.20 adapted to Visual Studio 8
#           2016.04.20 completed dependencies on header files
#-----------------------------------------------------------------------
THISDIR = ..\..\mlpd\src

CC      = cl.exe
DEFS    = /D WIN32 /D NDEBUG /D _WINDOWS /D _CRT_SECURE_NO_WARNINGS
CFLAGS  = /nologo /W3 /O2 /GS- $(DEFS) /c

RSC     = rc.exe
RFLAGS  = /l 0x407 /d NDEBUG

LD      = link.exe
LDFLAGS = /nologo /subsystem:windows /incremental:no
LIBS    = user32.lib comdlg32.lib gdi32.lib

HDRS    = mlpd.h wmlp.rh
OBJS    = mlpd.obj wmlp.obj wmlp.res
PRGS    = wmlp.exe

#-----------------------------------------------------------------------
# Build Program
#-----------------------------------------------------------------------
all:          $(PRGS)

wmlp.exe:     $(OBJS) mlpd.mak
	$(LD) $(LDFLAGS) $(OBJS) $(LIBS) /out:$@

#-----------------------------------------------------------------------
# Main Program
#-----------------------------------------------------------------------
wmlp.obj:     mlpd.h wmlp.rh wmlp.c mlpd.mak
	$(CC) $(CFLAGS) wmlp.c /Fo$@

mlpd.obj:     mlpd.h mlpd.c mlpd.mak
	$(CC) $(CFLAGS) mlpd.c /Fo$@

#-----------------------------------------------------------------------
# Resources
#-----------------------------------------------------------------------
wmlp.res:     wmlp.rh wmlp.rc mlpd.mak
	$(RSC) $(RFLAGS) /fo$@ wmlp.rc

#-----------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------
install:
	-@copy $(PRGS) ..\..\..\bin

#-----------------------------------------------------------------------
# Clean up
#-----------------------------------------------------------------------
clean:
	-@erase /Q *~ *.obj *.idb *.pch *.res $(PRGS)
